< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package ct600
  Definition Classes
    ct
-  package v3
  Definition Classes
    ct600
-  package calculations
  Definition Classes
    v3
-  package retriever
  Definition Classes
    v3
- B1
- B145
- B150
- B155
- B160
- B165
- B170
- B190
- B2
- B205
- B235
- B275
- B280
- B285
- B295
- B3
- B30
- B300
- B305
- B315
- B325
- B330
- B335
- B340
- B345
- B35
- B350
- B355
- B360
- B380
- B385
- B390
- B395
- B4
- B40
- B400
- B405
- B410
- B430
- B440
- B45
- B45Input
- B475
- B480
- B485
- B5
- B50
- B510
- B515
- B520
- B525
- B527
- B528
- B55
- B586
- B595
- B6
- B600
- B605
- B620
- B65
- B690
- B695
- B7
- B700
- B705
- B710
- B711
- B735
- B750
- B755
- B760
- B765
- B771
- B775
- B780
- B8
- B80A
- B85A
- B860
- B865
- B870
- B90A
- B920
- B925
- B930
- B935
- B940
- B945
- B95
- B950
- B955
- B960
- B960_1
- B960_2
- B960_3
- B960_5
- B965
- B970
- B975
- B980
- B985
- BFQ1
- N092
- PAYEEQ1
- REPAYMENTSQ1

c

uk.gov.hmrc.ct.ct600.v3

# B1 

###

#### case class B1(value: String) extends CtBoxIdentifier with CtString with Input with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, Input, CtString, CtValue[String], CtBoxIdentifier, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. B1
2. Serializable
3. Serializable
4. Product
5. Equals
6. Input
7. CtString
8. CtValue
9. CtBoxIdentifier
10. AnyRef
11. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new B1(value: String)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def asBoxString: Option[String]
   Definition Classes
     CtValue
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def id: String
    Definition Classes
      CtBoxIdentifier
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  val name: String
    Definition Classes
      CtBoxIdentifier
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
17.  val value: String
    Definition Classes
      B1 → CtValue
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Input

### Inherited from CtString

### Inherited from CtValue[String]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped